<template>
  <div class="project-design-drawer">
    <el-drawer
      v-if="isOpen"
      :visible.sync="isOpen"
      direction="rtl"
      size="100%"
      style="padding-left: 20px"
    >
    <template slot="title">
        <div>{{ title + " 【设计管理】" }}</div>
    </template>
    <projectDesignMgr ref="pdMgr" @cancel="doCancel"></projectDesignMgr>
    </el-drawer>
  </div>
</template>

<script>
import { listByProject,listProjectDesign, getProjectDesign, delProjectDesign, addProjectDesign, updateProjectDesign } from "@/api/project/projectDesign";
import projectDesignMgr from './projectDesignMgr'
export default {
  name: 'RuoyiUiProjectDesignDrawer',
  components:{
    projectDesignMgr
  },
  data() {
    return {
        isOpen: false,
        project: null,
        title: "",
    };
  },

  mounted() {
    
  },

  methods: {
    doCancel(){
      this.isOpen=false;
    },
    show(project) {
        this.project=project;
        this.isOpen=true;
        this.title = project.projectName;
        setTimeout(()=>{            
            this.$refs.pdMgr.init(project);
        },800);
       
    }
  },
};
</script>